/*****************************************************************************
 * BlinkSam_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "BlinkSam_Core0.h"

volatile unsigned long *pREG_PORT_FER     = pREG_PORTD_FER;
volatile unsigned long *pREG_PORT_DIR_SET = pREG_PORTD_DIR_SET;
volatile unsigned long *pREG_PORT_DATA_TGL= pREG_PORTD_DATA_TGL;
volatile unsigned long *pREG_PORT_DATA_SET= pREG_PORTD_DATA_SET;
volatile unsigned long *pREG_PORT_DATA_CLR= pREG_PORTD_DATA_CLR;

#define DIRSET 0xe
#define DATTGL 0xe

#define TIME_DELAY 0x5FFFFF

int main()
{

	int i, k;

	/**
	 * Initialize managed drivers and/or services that have been added to 
	 * the project.
	 * @return zero on success 
	 */
	adi_initComponents();
	
	/**
	 * The default startup code does not include any functionality to allow
	 * core 0 to enable core 1 and core 2. A convenient way to enable
	 * core 1 and core 2 is to use the adi_core_enable function. 
	 */

	/* Begin adding your custom code here */
	*pREG_PORT_FER      = 0;   // GPIO mode
    *pREG_PORT_DIR_SET  = DIRSET;

    *pREG_PORT_DATA_SET = 0xA;  // turn on led 10 and 12
    *pREG_PORT_DATA_CLR = 0x4;  // turn off led 11

    while(1)
    {
    	*pREG_PORT_DATA_TGL = DATTGL;

    	for(i=0, k=0; i<TIME_DELAY; i++)
    		k++;

    }

	return 0;
}

