/*****************************************************************************
 * TurnOnLEDsSAM_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "TurnOnLEDsSAM_Core0.h"

volatile unsigned long *pREG_PORT_FER     = pREG_PORTD_FER;
volatile unsigned long *pREG_PORT_DIR_SET = pREG_PORTD_DIR_SET;
volatile unsigned long *pREG_PORT_DATA_TGL= pREG_PORTD_DATA_TGL;
volatile unsigned long *pREG_PORT_DATA_SET= pREG_PORTD_DATA_SET;
volatile unsigned long *pREG_PORT_DATA_CLR= pREG_PORTD_DATA_CLR;

#define DIRSET 0xe
#define DATTGL 0xe


int main()
{
	/**
	 * Initialize managed drivers and/or services that have been added to 
	 * the project.
	 * @return zero on success 
	 */
	adi_initComponents();
	
	/**
	 * The default startup code does not include any functionality to allow
	 * core 0 to enable core 1 and core 2. A convenient way to enable
	 * core 1 and core 2 is to use the adi_core_enable function. 
	 */
	adi_core_enable(ADI_CORE_SHARC0);
	adi_core_enable(ADI_CORE_SHARC1);

	*pREG_PORT_FER      = 0;   // GPIO mode
    *pREG_PORT_DIR_SET  = DIRSET;

    *pREG_PORT_DATA_SET = 0x2;


	return 0;
}

